summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Melvin Mawhin2015-06-18 12:23:41 +0200
committer Willy Sudiarto Raharjo2015-06-18 12:23:41 +0200
commitbd24a8e8715be86f66a4273c61303c9fa579cbeb (patch)
tree2f636c1dd538723594e6d3d1033d7169e830b156
parentd3daae79ba21ea20b9d2adce646ef7523264aede (diff)
downloadslackbuilds-bd24a8e8715be86f66a4273c61303c9fa579cbeb.tar.gz
games/rlvm: Added (RealLive scripting engine for Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/rlvm/README6
-rw-r--r--games/rlvm/rlvm.SlackBuild100
-rw-r--r--games/rlvm/rlvm.info10
-rw-r--r--games/rlvm/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/games/rlvm/README b/games/rlvm/README
new file mode 100644
index 0000000000..a946c3d0bc
--- /dev/null
+++ b/games/rlvm/README
@@ -0,0 +1,6 @@
+rlvm is an open source implementation of the RealLive scripting
+engine for Linux and OSX. RealLive is a game engine used in Japan
+to write visual novels.
+
+please make sure you have msgothic.ttc in your homedrive or in the
+game folder. Otherwise the game won't start
diff --git a/games/rlvm/rlvm.SlackBuild b/games/rlvm/rlvm.SlackBuild
new file mode 100644
index 0000000000..9a6e578b70
--- /dev/null
+++ b/games/rlvm/rlvm.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for rlvm
+
+# Copyright 2015 Melvin Mawhin, Graz, Austria
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="rlvm"
+VERSION=${VERSION:-0.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRC_FILE=$PRGNAM-release-$VERSION.tar.gz
+SRC_FLDR=$PRGNAM-release-$VERSION/
+
+set -e
+
+
+rm -fr $TMP/$SRC_FLDR $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRC_FILE || tar xvf $CWD/release-$VERSION.tar.gz
+cd $SRC_FLDR
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+scons --release
+
+mkdir -p ${PKG}/usr/games ${PKG}/usr/bin
+cp build/release/rlvm $PKG/usr/games
+
+(
+ cd $PKG/usr/bin
+ ln -s /usr/games/rlvm rlvm
+)
+
+mkdir -p ${PKG}/usr/share
+cp -R build/locale/* $PKG/usr/share
+
+mkdir -p ${PKG}/usr/share/applications
+cp src/platforms/gtk/rlvm.desktop $PKG/usr/share/applications
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/16x16/apps
+cp resources/16/rlvm.png $PKG/usr/share/icons/hicolor/16x16/apps
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/24x24/apps
+cp resources/24/rlvm.png $PKG/usr/share/icons/hicolor/24x24/apps
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/32x32/apps
+cp resources/32/rlvm.png $PKG/usr/share/icons/hicolor/32x32/apps
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/48x48/apps
+cp resources/48/rlvm.png $PKG/usr/share/icons/hicolor/48x48/apps
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/128x128/apps
+cp resources/128/rlvm.png $PKG/usr/share/icons/hicolor/128x128/apps
+
+mkdir -p ${PKG}/usr/share/icons/hicolor/256x256/apps
+cp resources/256/rlvm.png $PKG/usr/share/icons/hicolor/256x256/apps
+
+mkdir -p ${PKG}/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l n -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/rlvm/rlvm.info b/games/rlvm/rlvm.info
new file mode 100644
index 0000000000..f09fea84c9
--- /dev/null
+++ b/games/rlvm/rlvm.info
@@ -0,0 +1,10 @@
+PRGNAM="rlvm"
+VERSION="0.14"
+HOMEPAGE="http://rlvm.net/"
+DOWNLOAD="https://github.com/eglaysher/rlvm/archive/release-0.14.tar.gz"
+MD5SUM="03a7df65cf22bba83547d412fd07e941"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scons"
+MAINTAINER="Melvin Mawhin"
+EMAIL="mmawhin@hotmail.com"
diff --git a/games/rlvm/slack-desc b/games/rlvm/slack-desc
new file mode 100644
index 0000000000..ed92568201
--- /dev/null
+++ b/games/rlvm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rlvm: rlvm (RealLive scripting engine for Linux)
+rlvm:
+rlvm: rlvm is an open source implementation of the RealLive scripting
+rlvm: engine for Linux and OSX. RealLive is a game engine used in Japan
+rlvm: to write visual novels. Currently, rlvm works with: Kanon Standard
+rlvm: Edition, Air Standard Edition, CLANNAD, CLANNAD Full Voice Edition,
+rlvm: the original version of Little Busters! and Planetarian, along with
+rlvm: a few non-KEY games. rlvm can optionally use English patches to some
+rlvm: games.
+rlvm:
+rlvm: